• 1
  • 6
  • 7
  • 8
  • 9(current)
  • 10
[MAC] Compiling on OSX Lion / Xcode 4.1`
Thats the issue. Thx for clarification. Will see to handle that a bit better.
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
no problem...the help and readme files code developers like yourself create are a great resource for people new to xbmc like me.
Reply
Here are some extra flags I use regular with xcodebuild if anyone should see it fit somewhere:

1. CODE_SIGN_IDENTITY="" CODE_SIGNING_REQUIRED=NO // To avoid the infamous code sign warning.
2. -IDEBuildOperationMaxNumberOfConcurrentCompileTasks=4 // Set concurrent compile workers much the same as make -j4
3. GCC_OPTIMIZATION_LEVEL=None // Use the "None" flag if xcode hangs when compiling Mime.cpp

For example:
Code:
XBMC_HOME=$PWD xcodebuild -IDEBuildOperationMaxNumberOfConcurrentCompileTasks=4 \
   -project XBMC-IOS.xcodeproj \
   -target XBMC -configuration Release build ONLY_ACTIVE_ARCH=YES ARCHS=armv7 \
   VALID_ARCHS=armv7 IPHONEOS_DEPLOYMENT_TARGET=4.1 SDKROOT=iphoneos4.2  \
   CODE_SIGN_IDENTITY="" CODE_SIGNING_REQUIRED=NO \
   GCC_OPTIMIZATION_LEVEL=None

Btw, doc/README.ios needs to be updated to reflect the name change of the packaging scripts mkdeb-xbmc-ios.sh and mkdeb-xbmc-atv2.sh:
https://github.com/FlyingRat/xbmc-ffmpeg...02c4726c53
1. XBMC: http://github.com/FlyingRat/xbmc (ffmpeg-head-inc-xbmc-patches)
2. FFmpeg: http://github.com/FlyingRat/FFmpeg (ffmpeg-head-with-xbmc-custom-patches)
3. XBMC-updated-FFmpeg-binaries (just dev snapshots, no regular distros)
Reply
Thanks flyignrat. Was trying to find a way to get xcodebuild to use multiple cores like the make commands but did not see it as an option in the man page of xcodebuild. A 2012 mac air was taking about 2 hours without using the -j option to make commands, and probably triple that on a 2008 iMac....using multiple cores cut down the mac air compile by about 40%. Anything to speed up the compile process is good Wink
Reply
Hello,

I successfully build de XBMC.app in release but when the script that makes the .dmg file tries to create the image it fails because it's triyng to find the app in the debug folder. For the record i never build the app in debug mode. What can i do? Please help.
Reply
https://github.com/xbmc/xbmc/pull/2478 <- use this patch and then call the new package script for xbmc (see the changes in README.osx on how to do so).
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
(2013-03-25, 13:27)Memphiz Wrote: https://github.com/xbmc/xbmc/pull/2478 <- use this patch and then call the new package script for xbmc (see the changes in README.osx on how to do so).

Thanks Memphiz i will give it a try.
Reply
(2013-03-25, 17:19)LordAnubis3 Wrote:
(2013-03-25, 13:27)Memphiz Wrote: https://github.com/xbmc/xbmc/pull/2478 <- use this patch and then call the new package script for xbmc (see the changes in README.osx on how to do so).

Thanks Memphiz i will give it a try.

Sorry Memphiz a little more help. I updated with git my files but your change doesn't appear in my local folder. I am missing something ?
Reply
it was not in master tree - try again now.
Reply
(2013-03-26, 02:20)Memphiz Wrote: it was not in master tree - try again now.

Tried it without compiling again and executed only sudo -s ./mkdmg-xbmc-osx.sh release and gives a ton of

Code:
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_default.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_fonts.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_multi.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_multi_blendcolor.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_rgba.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_rgba_blendcolor.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_texture.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_frag_texture_noblend.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/guishader_vert.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/stretch.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/testshader.fx: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_2d.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_2d_UYVY.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_2d_YUY2.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_gles.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_rect.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_rect_UYVY.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_basic_rect_YUY2.arb: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_bob.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_bob_gles.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_d3d.fx: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_vertex.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/shaders/yuv2rgb_vertex_gles.glsl: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/system/X10-Lola-IRSSmap.xml: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/tools/darwin/.gitignore: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/tools/darwin/.gitmodules: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/tools/darwin/runtime/org.xbmc.helper.plist: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/tools/darwin/runtime/preflight: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/tools/darwin/runtime/XBMCHelper: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/userdata/ModeLines_template.xml: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/userdata/PictureIcon/Picon/tuxbox.png: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/userdata/PictureIcon/picon.xml: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/userdata/PictureIcon/Readme.txt: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/XBMC/userdata/RssFeeds.xml: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/XBMC.app/Contents/Resources/xbmc.icns: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/.VolumeIcon.icns: No space left on device
ln: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/Applications: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/background/DiskImageBackground.png: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/background/DiskImageBackgroundDebug.png: No space left on device
ditto: /Volumes/org.xbmc.xbmc-osx_13.0-0~alpha2_macosx-intel-x86_64/.DS_Store: No space left on device
What did i do wrong?
Reply
i don't adapt the readmes for fun...
Reply
(2013-03-27, 02:14)Memphiz Wrote: i don't adapt the readmes for fun...

Sorry Memphiz i read again the readme and still no luck.

I have adapted the script earlier on this thread for my env and goes without problems until the packing option can you help me

Code:
#! /bin/sh -x

fail() {
    [ -n "%1" ] && echo "$1" 1>&2
    exit 1
}

export XBMC_HOME="$HOME/xbmc"
export XBMC_DARWIN_RELEASE=Release

pushd tools/depends
( ./bootstrap && ./configure --host=x86_64-apple-darwin --with-arch=x86_64 --with-sdk=10.8 ) || fail "CONFIGURE FAILED FOR osx-depends."
[ "$1" == "clean" ] && ( echo make -j2 clean || fail "CLEAN FAILED FOR osx-depends." )
[ "$1" == "distclean" ] && ( echo make -j2 distclean || fail "DISTCLEAN FAILED FOR osx-depends." )
make -j2 || fail "BUILD FAILED FOR osx-depends."
popd

make -j2 -C tools/depends/target/xbmc || fail "CONFIGURE FAILED."

[ "$1" == "clean" -o "$1" == "distclean" ] && make clean

make -j2 xcode_depends || fail "BUILD FAILED FOR xcode_depends."
xcodebuild -sdk macosx10.8 -project XBMC.xcodeproj -target XBMC.app ONLY_ACTIVE_ARCH=YES ARCHS=x86_64 VALID_ARCHS=x86_64 -configuration $XBMC_DARWIN_RELEASE build || fail "xcodebuild FAILED."

pushd tools/darwin/packaging/xbmc-osx
(
    ./mkdmg-xbmc-osx.sh release || fail "PACKAGING FAILED."
)
popd
Reply
Whats the actual output of packaging with that script? My nagging was about the sudo thingy - you should package as the same user which build the tree (as your script does).
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
(2013-03-28, 00:22)Memphiz Wrote: Whats the actual output of packaging with that script? My nagging was about the sudo thingy - you should package as the same user which build the tree (as your script does).

The output was the output that i post earlier i call my build script as this sudo -s ./MyBuildXBMCX64.sh
Reply
(2013-03-28, 01:20)LordAnubis3 Wrote:
(2013-03-28, 00:22)Memphiz Wrote: Whats the actual output of packaging with that script? My nagging was about the sudo thingy - you should package as the same user which build the tree (as your script does).

The output was the output that i post earlier i call my build script as this sudo -s ./MyBuildXBMCX64.sh

Is there a reason you are running the script with sudo? Never needed to any time I wanted to build the image file. Also, the original script when it runs successfully, echo's this message:

Ignore "No space left on device" warnings from ditto, they are an autosize artifactand has one ditto warning...

I only see the same type of warnings in your output, albeit many of them, my successful runs of the command output one ditto warning. Did you check to see if the image file was created?


Also, if you are looking for a way to get an image file created while sorting through the problems, look at the end of this POST . You may want to try setting up a sym link for Debug to Release in srcdir/build, then run the original script. It works for me, and I had the same error about the Debug release you posted about.

Good Luck
Reply
  • 1
  • 6
  • 7
  • 8
  • 9(current)
  • 10

Logout Mark Read Team Forum Stats Members Help
[MAC] Compiling on OSX Lion / Xcode 4.1`0